Loading...
Searching...
No Matches
svn_wc_conflict_version_t Struct Reference
Working copy management » Conflict callback functionality

Info about one of the conflicting versions of a node. More...

`#include <svn_wc.h>`

## Data Fields

svn_node_kind_t | node_kind
| The node kind.
const char * | repos_uuid
| UUID of the repository (or NULL if unknown.).
Where to find this node version in a repository
const char * | repos_url
| URL of repository root.
svn_revnum_t | peg_rev
| revision at which to look up path_in_repos
const char * | path_in_repos
| path within repos; must not start with '/'

## Detailed Description

Info about one of the conflicting versions of a node.

Each field may have its respective null/invalid/unknown value if the corresponding information is not relevant or not available.

Todo
  Consider making some or all of the info mandatory, to reduce complexity.

Note
  Fields may be added to the end of this structure in future versions. Therefore, to preserve binary compatibility, users should not directly allocate structures of this type.

See also
  svn_wc_conflict_version_create()
  svn_wc_conflict_version_dup()

Since
  New in 1.6.

Definition at line 1707 of file svn_wc.h.

## Field Documentation

## node_kind

svn_node_kind_t svn_wc_conflict_version_t::node_kind

The node kind.

Can be any kind, including 'none' or 'unknown'.

Definition at line 1724 of file svn_wc.h.

## path_in_repos

const char* svn_wc_conflict_version_t::path_in_repos

path within repos; must not start with '/'

Definition at line 1720 of file svn_wc.h.

## peg_rev

svn_revnum_t svn_wc_conflict_version_t::peg_rev

revision at which to look up path_in_repos

Definition at line 1716 of file svn_wc.h.

## repos_url

const char* svn_wc_conflict_version_t::repos_url

URL of repository root.

Definition at line 1713 of file svn_wc.h.

## repos_uuid

const char* svn_wc_conflict_version_t::repos_uuid

UUID of the repository (or NULL if unknown.).

Since
  New in 1.8.

Definition at line 1728 of file svn_wc.h.

The documentation for this struct was generated from the following file:

- svn_wc.h